// System Objects
// ...

// Third Party Dependencies
// ...

// Internal
var commands = require('./commands');
var log = require('../log');
var Tessel = require('./tessel');

Tessel.prototype.eraseScript = function() {
  log.info('Erasing files from Flash...');
  return this.simpleExec(commands.app.stop())
    .then(() => {
      return this.simpleExec(commands.app.disable());
    })
    .then(() => {
      return this.simpleExec(commands.deleteFolder(Tessel.REMOTE_APP_PATH))
        .then(function erased() {
          log.info('Files erased.');
        });
    })
    .catch((error) => {
      // If we get a notice that the command failed
      if (error.message.includes('Command failed')) {
        // Let the user know what went wrong
        return Promise.reject('No files have been pushed. Run `t2 push FILE` to push to Flash.');
      } else {
        // Otherwise this is an unexpected error
        return Promise.reject('An unexpected error occurred:' + error.message);
      }
    });
};
